Bug 852757 - Taskomatic fails to generate repodata for [EL5|EL6] Base Channels.
Taskomatic fails to generate repodata for [EL5|EL6] Base Channels.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Pazdziora
Dimitar Yordanov
:
Depends On:
Blocks: sat550-blockers
  Show dependency treegraph
 
Reported: 2012-08-29 09:50 EDT by Dimitar Yordanov
Modified: 2012-11-13 12:54 EST (History)
5 users (show)

See Also:
Fixed In Version: oracle-server-scripts-10.2.0.56-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:17:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Taskomatic Logs (45.59 KB, text/plain)
2012-08-29 09:51 EDT, Dimitar Yordanov
no flags Details
Sat 541 Taskomatic Daemon Log (88.05 KB, text/x-log)
2012-09-06 03:43 EDT, Dimitar Yordanov
no flags Details

  None (edit)
Description Dimitar Yordanov 2012-08-29 09:50:53 EDT
Description of problem:
Taskomatic fails to generate repodata for [EL5|EL6] Base Channels.

Version-Release number of selected component (if applicable):
Satellite 550

How reproducible:
100%

Steps to Reproduce:
1. satellite-sync -c  rhel-x86_64-server-5  -c rhel-x86_64-server-6
2. After "satellite-sync' process is done in a several hours/days check if the repodata is generated.

Actual results:
 1. WebIU - In Progress  
 2. In /var/cache/rhn/repodata/

# date
Wed Aug 29 08:49:53 EDT 2012

/var/cache/rhn/repodata/rhel-x86_64-server-5:
total 12
-rw-r--r--. 1 root root 10 Aug 28 15:57 filelists.xml.gz.new
-rw-r--r--. 1 root root 10 Aug 28 15:57 other.xml.gz.new
-rw-r--r--. 1 root root 10 Aug 28 15:57 primary.xml.gz.new

/var/cache/rhn/repodata/rhel-x86_64-server-6:
total 12
-rw-r--r--. 1 root root 10 Aug 28 15:57 filelists.xml.gz.new
-rw-r--r--. 1 root root 10 Aug 28 15:57 other.xml.gz.new
-rw-r--r--. 1 root root 10 Aug 28 15:57 primary.xml.gz.new

Additional info:
For all Taskomatic logs please see Attachement.

-bash-4.1$ db-control report
Tablespace                  Size    Used   Avail   Use%
DATA_TBS                    7.8G    3.3G    4.4G    43%
SYSAUX                      500M   76.8M  423.1M    15%
SYSTEM                      400M  284.1M  115.8M    71%
TEMP_TBS                   1000M      0B   1000M     0%
UNDO_TBS                   1000M  353.6M  646.3M    35%
USERS                       128M     64K  127.9M     0%

#less /var/log/rhn/rhn_taskomatic_daemon.log

INFO   | jvm 1    | 2012/08/28 16:01:08 | java.sql.SQLException: ORA-01652: unable to extend temp segment by 128 in tablespace TEMP_TBS
INFO   | jvm 1    | 2012/08/28 16:01:08 | 
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.DatabaseError.throwSqlException(DatabaseError.java:112)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.T2CConnection.checkError(T2CConnection.java:676)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.T2CConnection.checkError(T2CConnection.java:602)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.T2CPreparedStatement.executeForDescribe(T2CPreparedStatement.java:571)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.OracleStatement.executeMaybeDescribe(OracleStatement.java:1049)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:1154)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.OraclePreparedStatement.executeInternal(OraclePreparedStatement.java:3370)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at oracle.jdbc.driver.OraclePreparedStatement.executeQuery(OraclePreparedStatement.java:3415)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeQuery(NewProxyPreparedStatement.java:50)
INFO   | jvm 1    | 2012/08/28 16:01:08 |       at com.redhat.rhn.taskomatic.task.repomd.PackageCapabilityIterator.<init>(PackageCapabilityIterator.java:78)
Comment 1 Dimitar Yordanov 2012-08-29 09:51:31 EDT
Created attachment 607909 [details]
Taskomatic Logs
Comment 2 Jan Pazdziora 2012-08-29 10:28:19 EDT
Does regenerating the statistics (db-control gather-stats) and
possibly restarting taskomatic fix the issue?
Comment 7 Dimitar Yordanov 2012-09-06 03:43:06 EDT
Created attachment 610201 [details]
Sat 541 Taskomatic Daemon Log
Comment 8 Tomas Lestach 2012-09-06 04:34:04 EDT
Syncing of single:
- rhel-x86_64-server-6 channel
   # grep finished /var/log/rhn/rhn_taskomatic_daemon.log
   Repository metadata generation for 'rhel-x86_64-server-6' finished in 1954 seconds

- rhel-x86_64-server-5 channel (14034 packages, 140 errata)
   repodata generation fails with: ORA-01652: unable to extend temp segment by 128 in tablespace TEMP_TBS
Comment 10 Michael Mráka 2012-09-06 05:32:57 EDT
Default TEMP size has increased to 2GB for new databases. 

Spacewalk master:
commit d0fa4b8949cda9d2102f4de2ac0a6de6e4f0e95a
    852757 - create 2GB TEMP by default

SATELLITE-5.5:
commit 6f553735d19d524ee8a9756766359e046e82a01d
    852757 - create 2GB TEMP by default
Comment 13 Clifford Perry 2012-09-21 05:17:01 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.